<!DOCTYPE html>
<html>
  <head>
 
  <style>
.spc-ard{
    justify-content: space-around;
}
.booking-card{
    padding: 15px !important;
    background: white;
    border-radius: 5px;
    box-shadow: 0 3px 1px -2px rgb(0 0 0 / 20%), 0 2px 2px 0 rgb(0 0 0 / 14%), 0 1px 5px 0 rgb(0 0 0 / 12%);
}
      .ins-pad{
          padding: 10px;
      }
      @media print {  
   .col-print-12{
       width:100% !important;
   }
   .col-print-3{
    width:25% !important;

   }
   .col-print-6{
    width:50% !important;

   }
   .green{
    background-color: #4caf50!important;
    border-color: #4caf50!important;
}
   .col-print-12, .col-print-6,.col-print-3  { page-break-inside:avoid !important; page-break-after:auto !important }
}
.green{
    background-color: #4caf50!important;
    border-color: #4caf50!important;
}
 
 #ancillary_id tr:hover td{
    background :none !important;
 }
 #ancillary_id tr{
    background :none !important;
 }

 #ancillary_id th, #ancillary_id{
    border: solid 1px #e0e0e0;
 }
 #ancillary_id th{
     background: #eee;
 }
 #ancillary_id th:hover{
     background: #eee;
 }
 .payagainbtn{
    background-color: #2195c3;
    color: white;
    padding: 5px;
    border-radius: 4px;
    font-size: 13px;
 }

table{
width: 100%;
}
td{
    padding: 15px;
}
 th{
     padding: 15px;
     color: rgba(0,0,0,.6);
 }

 #ins-tabl td{
     padding: 0px !important;
 }


 @media (max-width:769px)
 {
        body{
            width: 112% !important;
        }
        .review-section .review_box .flight_detail .logo-sec {
            display: block !important;
            text-align: center !important;
        }
        .review_box .flight_detail .airport-part.book-summary{
            padding: 20px !important;
        }
        .fade{
            width: 100% !important;
        }
 }
  </style>
  </head>

  <body>
    <div id="app-2">


<div class="main_container no-home">
    <section class="breadcrumb-section flight-sec pt-0"><img src="assets/banner/banner1.jpg" alt=""
            class="bg-img img-fluid blur-up lazyload" style="height: 349px;width: 100%;">
        <div class="flight-details text-center" ng-show="confirmJson!=null">
            <p class="route flight-count">Booking Successful!!!</p>
            <p class="route">{{confirmJson.origin}} <span ng-if="confirmJson.searchType == 'Round trip'">⇌</span><span ng-if="confirmJson.searchType == 'One way'">→</span> {{confirmJson.destination}}</p>
            <p ng-if="confirmJson.docketNo" class="other-details">Booking Ref: <strong>{{confirmJson.docketNo?}}</strong></p>
		    <!-- <p class="other-details">PNR No: {{confirmJson.pnrNo!=null? confirmJson.pnrNo:'-'}}</p> -->
            <p class="other-details" ng-if="confirmJson.searchType == 'Round trip'">Onward  : {{confirmJson.deptDate}} | Return  : {{confirmJson.arrDate}}</p>
            <p class="other-details" ng-if="confirmJson.searchType == 'One way'">Onward  : {{confirmJson.deptDate}}</p>
            <p class="other-details" ng-show="confirmJson!=null">Passengers : Adult-{{confirmJson.adtCnt}}, Child-{{confirmJson.chldCnt}}, Infant-{{confirmJson.infntCnt}}
                <br><button ng-If="flightconfirmJson.error == 'PF009'"  type="button" ng-click="rePamentSelect();" title="{{flightconfirmJson.errorMessage}}" class="payagainbtn py-2 px-3 ml-4 mt-2">Pay Again</button>
              
             
        </div>
        <div class="flight-details text-center" ng-hide="flightconfirmJson.error=='PF006'">
            <p class="route flight-count"  ng-show="confirmJson==null">Booking not completed!!!</p>
           
        </div>
        <div class="flight-details text-center" ng-show="flightconfirmJson.error=='PF006'">
            <p class="route flight-count" >{{flightconfirmJson.errorMessage}}</p>
           
        </div>
        <div class="back-btn">
            <div role="group" aria-label="..." class="btn-group" ng-show="confirmJson!=null">
                <!-- <button type="button" class="btn btn-default" ng-click="printDiv(flightprintDiv);"><i
                        class="las la-print"></i></button>  -->
                        <button type="button" class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="las la-envelope"></i></button>
                        <button type="button" class="btn btn-default" ng-click="fltDownload(flightprintDiv);"><i
                            class="las la-download"></i></button>
                    </div>

                        <!-- </div> -->
        </div>
    </section>




    <div class="container-fluid flight-container" ng-show="confirmJson==null">
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light booking-card">
            <h6 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Details
            </h6>
            <div class="row">
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">ClientRefNo</div>
                                    <div class="v-list-item__subtitle">{{flightconfirmJson.referenceNo}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Payment Status</div>
                                    <div class="v-list-item__subtitle">Success</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content" ng-hide="flightconfirmJson.error=='PF006'">
                                    <div class="v-list-item__title">Booking Status</div>
                                    <div class="v-list-item__subtitle">Failed</div>
                                </div>
                                <div class="v-list-item__content" ng-show="flightconfirmJson.error=='PF006'">
                                    <div class="v-list-item__title">Booking Status</div>
                                    <div class="v-list-item__subtitle">Pending</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- <div class="row">
                <div class="col-md-12">
                    {{flightconfirmJson.errorMessage}}
                    </div>
                    </div> -->
                    <div class="row">
                        <div class="col-md-10">
                            <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                                <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                                    <div tabindex="0" role="listitem" aria-selected="false"
                                        class="v-list-item v-list-item--link theme--light">
                                        <div class="v-list-item__content">
                                            <!-- <div class="v-list-item__title">Message</div> -->
                                            <div class="v-list-item__title">{{flightconfirmJson.errorMessage}}</div>
                                            </div>
                                            </div>
                                            </div>
                                            </div>
                            </div>
                            
                            </div>
        </div>

     
      
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light booking-card">
            <h6 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Queries
            </h6>
            <div class="row" style="padding:15px">
                <div class="col-md-4">
                    <!-- <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light"> -->
                                <div class="v-list-item__content" style="font-size: 13px;">
                                    <p class="mb-0"><strong> E-Mail</strong></h6>
                                    <p >art-holidays@alrostamanigroup.ae</p>
                                </div>
                            <!-- </div>
                        </div>
                    </div> -->
                </div>
                <div class="col-md-4">
                    <!-- <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false" -->
                                <!-- class="v-list-item v-list-item--link theme--light"> -->
                                <div class="v-list-item__content" style="font-size: 13px;">
                                    <p class="mb-0"><strong> Phone</strong></h6>
                                    <p >800 278 (800-ART)</p>
                                </div>
                            <!-- </div>
                        </div>
                    </div> -->
                </div>
            </div>
        </div>
    </div>




    <div class="container-fluid flight-container" id="flightprintDiv"  ng-show="confirmJson!=null">
        <div class="row">
            <div class="col-md-12 ">
                <div class="filter-sec review-section">
                    <h6 class="filter-header"><i class="las la-user-circle icon-text"></i> Traveller Details
                    </h6>
                    <div class="v-data-table theme--light">
                        <div class="v-data-table__wrapper ovrf-x">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="text-left">Type</th>
                                        <th class="text-left">Full Name</th>
                                        <th class="text-left">Ticket Number</th>
                                        <!-- <th ng-if="isLcc" class="text-left">Seat No.</th>
                                        <th ng-if="isLcc" class="text-left">Meal</th> -->
                                        <!-- <th class="text-left">PNR No.</th> -->
                                        <th class="text-left">Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="listOfPass in confirmJson.psgrLst">
                                        <td>{{listOfPass.passengerType}}</td>
                                        <td>{{listOfPass.title}} {{listOfPass.firstName}} {{listOfPass.lastName}}</td>
                                        <td>	{{listOfPass.travelerRefNo!=null?listOfPass.travelerRefNo:'-'}}</td>
                                  
                                        <!-- <td ng-if="isLcc">{{listOfPass.ssrDetailList!=null?listOfPass.ssrDetailList.seatNumber:'-'}}</td>
                                        <td ng-if="isLcc">{{listOfPass.ssrDetailList!=null?listOfPass.ssrDetailList.mealName:'-'}}</td> -->
                                        <!-- <td>{{confirmJson.pnrNo}}</td> -->
                                        <!-- <td>{{listOfPass.status}}</td> -->
                                        <td>
                                            <span class="v-badge theme--light">
                                                <span class="v-badge__wrapper">
                                                    <span aria-atomic="true" aria-label="Badge" aria-live="polite" role="status" class="v-badge__badge green " style="inset: auto auto calc(100% - 4px) calc(100% - 4px); background-color: #4caf50!important;
                                                    border-color: #4caf50!important;padding: 5px;
    border-radius: 15px;
    font-size: 12px;
    color: white;">
                                                        {{listOfPass.status}}
                                                    </span>
                                                </span>
                                            </span>
                                        </td>
                                    </tr>
                                 
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-12 col-print-12">
                <div class="filter-sec review-section">
                    <h6 class="filter-header"><i class="las la-plane icon-text"></i> Flight Details</h6>
                    <div class="review_box" ng-repeat="segment in confirmJson.segLst">
                        <div class="flight_detail" ng-repeat="flightInfo in segment.fltInfoList">
                            <div class="row mb-1">
                                <div class="col-md-3 col-sm-12 col-xs-12">
                                    <div class="logo-sec spc-ard"><img src="images/Airlines/sm{{flightInfo.airline}}.png" alt=""
                                            class="img-fluid blur-up lazyloaded"> <span class="title"><span
                                                class="airline">{{flightInfo.airlineName}}</span> <span>{{flightInfo.airline}} - {{flightInfo.fltNum}}</span> 
                                                <!-- <span>Operated
                                                by {{flightInfo.airline}}</span> -->
                                                <span ng-If="flightInfo.opAirlnName == null">Operated by {{flightInfo.airlineName}}</span>
                                                <span ng-If="flightInfo.opAirlnName != null">Operated by {{flightInfo.opAirlnName}}</span>
                                            </span></div>
                                </div>
                                <div class="px-0 col-md-5 col-sm-12 col-xs-12">
                                    <div class="airport-part book-summary">
                                        <div class="airport-name departure">
										     <p class="dateTime">{{flightInfo.stTime}} On <span>{{flightInfo.startDt.substring(6,8)}} {{ monthcnvrt(flightInfo.startDt.substring(4,6))  | date:'MMM'}} {{flightInfo.startDt.substring(0,4)}}</span></p>
                                  
                                              <h6>{{flightInfo.origin}}</h6>
                                        </div>
                                        <div class="airport-name arrival">
                                            <p class="dateTime">{{flightInfo.arrTime}} On <span>{{flightInfo.endDt.substring(6,8)}} {{ monthcnvrt(flightInfo.endDt.substring(4,6)) | date:'MMM'}} {{flightInfo.endDt.substring(0,4)}}</span></p>
                              <h6>{{flightInfo.dest}}</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-2 col-sm-12 col-xs-12">
                                    <div class="duration">
                                        <div>
                                            <h6>{{flightInfo.duration | myDateFilter}}</h6>
                                <!-- <p>{{segment.stops}} stop</p> -->
                                 <p>{{confirmJson.classType }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-2 col-sm-12 col-xs-12">
                                    <div class="duration book-summary-duration">
                                        <div>
                                          <p>PNR: <strong>{{confirmJson.pnrNo}}</strong></p>
                                          <!-- <p>CheckIn: 2 Piece/Person</p>
                                          <p>Cabin: 7 KG/Person</p> -->
                                        </div>
                                    </div>
                                </div>
                              
                            </div>
                        </div>
                    </div>
                 
    
                </div>
            </div>

           

            <div class="col-md-12" ng-if="confirmJson.insuranceDtls.insuranceMasterBeanList">
                <div class="filter-sec review-section">
                    <h6 class="filter-header m-0">Insurance Details</h6>
                    <div class="review_box" >
                        <div class="flight_detail" >
                            <div class="row" ng-if="confirmJson.insuranceDtls.insuranceMasterBeanList">
                                <div class="col-md-12 px-0">
                                    <div class="airport-part">
                                        <div class=" ins-pad">
										     <h7 class="dateTime">{{confirmJson.insuranceDtls.insuranceMasterBeanList[0].planTitle}}</h7>
                                        </div>
                                        <div class="ins-pad" id="ins-tabl">
                                            <span ng-bind-html="renderHTMLFactory.renderHTML(confirmJson.insuranceDtls.insuranceMasterBeanList[0].planContent)"></span>
                                        </div>
                                    </div>
                                </div>
                                <!-- <div class="col-md-2">
                                    <div class="duration">
                                        <div>
                                            <p>Total Fare</p>
                                            <h6>{{confirmJson.insuranceDtls.totalFare | number:2}}</h6>
                                        </div>
                                    </div>
                                </div> -->
                              
                            </div>
                            <!-- <div class="row" >
                                <div class="col-md-6">
                                    <p>You have your own travel insurance.</p>
                                </div>
                            </div> -->
                        </div>
                    </div>
                 
    
                </div>
            </div>
        </div>

        <div class="row" ng-if="ancillarydetails.length>0">
            <div class="col-md-12 ">
                <div class="filter-sec review-section">
                    <h6 class="filter-header">
                        <!-- <i class="las la-user-circle icon-text"></i>  -->
                        Ancillary Details
                    </h6>
                    <div class="v-data-table theme--light">
                        <div class="v-data-table__wrapper ovrf-x">
                            <table id="ancillary_id">
                                <thead>
                                    <tr>
                                        <th class="text-center" rowspan="3">Segment <br></th>
                                        <th class="text-center" rowspan="3">PAX NAME</th>
                                        <th class="text-center" rowspan="3">PAX TYPE</th>
                                        <th class="text-center" colspan="3">BAGAGE</th>
                                        <th class="text-center" rowspan="3">SEAT</th>
                                        <th class="text-center" rowspan="3">MEAL</th>
                                    </tr>
                                    <tr>
                                        <th class="text-center" colspan="2" >CHECKIN </th>
                                        <th class="text-center" colspan="1">CABIN </th>
                                    </tr>
                                    <tr>
                                        <th class="text-center" >FREE </th>
                                        <th class="text-center" >PAID </th>
                                        <th class="text-center" >FREE </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-if="0" ng-repeat-start="listseg in ancillarydetails">
                                        <tr ng-repeat="seg in listseg.ssrdetails track by $index">
                                        <td rowspan="{{listseg.ssrdetails.length}}" ng-if="$index == 0">{{(listseg.segments).replace("-","/")}} <br><span ng-if="seg.flightNo != null">({{seg.flightNo}})</span></td>
                                        <td>{{seg.paxName}}</td>
                                        <td>{{seg.paxType}}</td>
                                        <td>{{seg.freeCheckedBaggage? seg.freeCheckedBaggage : '-' }}</td>
                                        <td>{{seg.baggageWeight? seg.baggageWeight : '-'}}</td>
                                        <td>{{seg.cabinBaggage? seg.cabinBaggage : '-'}}</td>
                                        <td>{{seg.seatNumber? seg.seatNumber : '-'}}</td>
                                        <td >
                                            <span ng-repeat="mlst in seg.mealsDetails">{{mlst.mealQuantity}} x {{mlst.mealName}}, <br></span>
                                            
                                        </td>

                                        <!-- <td ng-if="isLcc">{{listOfPass.ssrDetailList!=null?listOfPass.ssrDetailList.seatNumber:'-'}}</td>
                                        <td ng-if="isLcc">{{listOfPass.ssrDetailList!=null?listOfPass.ssrDetailList.mealName:'-'}}</td> -->
                                        <!-- <td>{{confirmJson.pnrNo}}</td> -->
                                        <!-- <td>{{listOfPass.status}}</td> -->
                                        <!-- <td>
                                            <span class="v-badge theme--light">
                                                <span class="v-badge__wrapper">
                                                    <span aria-atomic="true" aria-label="Badge" aria-live="polite" role="status" class="v-badge__badge green " style="inset: auto auto calc(100% - 4px) calc(100% - 4px); background-color: #4caf50!important;
                                                    border-color: #4caf50!important;">
                                                        {{listOfPass.status}}
                                                    </span>
                                                </span>
                                            </span>
                                        </td> -->
                                    </tr>
                                    <tr ng-if="0" ng-repeat-end></tr>
                                 
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light booking-card">
            <h6 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Queries
            </h6>
            <div class="row" style="padding:15px">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content" style="font-size: 13px;">
                                    <p class="mb-0"><strong> E-Mail</strong></p>
                                    <p >{{agnecyEmail}}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content" style="font-size: 13px;">
                                    <p class="mb-0"><strong> Phone </strong></h6>
                                    <p >{{agencyPhoneNo}}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
</div>


</div>



<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
         
          <h6 class="modal-title">Mail Sender</h6>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
            <div class="col-md-12">
                <form name="sendingForm" id="sendingForm" ng-submit="sendMailId(sendingForm.$valid);" novalidate="novalidate">
                    <div class="row">
                        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class=""><span class="star ft-sz-14">E-mail</span></label>
                            <div ng-class="{'has-error' :sendingForm.registerEmail1.$invalid &amp;&amp; userRegFormSubmit}">
                            <input type="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" id="registerEmail1" name="registerEmail1" placeholder="Enter your email id..." class="form-control required ft-sz-14" required="required" ng-model="userCreationReqst.loginid"/>
                            </div>
                            </div>
                        </div>
                        <div class="col-md-6" style="margin-top: 24px;">
                            <button type="submit" ng-disabled="disableAccount" class="applyBtn btn btn-primary ft-sz-14 mt-1" name="" >Send </button>
                            
                        </div>
                        </div>
                </form>
            </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default ft-sz-14" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
  </div>
  </body>

</html>
